# Installation
> `npm install --save @types/robust-segment-intersect`

# Summary
This package contains type definitions for robust-segment-intersect (https://github.com/mikolalysenko/robust-segment-intersect).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/robust-segment-intersect.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/robust-segment-intersect/index.d.ts)
````ts
declare namespace segmentsIntersect {
    type Coord = [number, number];
}

/**
 * Test if the closed line segment `[firstStart, firstEnd]` intersects
 * the closed line segment `[secondStart, secondEnd]`
 * @param firstStart An end point of the first line
 * @param firstEnd An end point of the first line
 * @param secondStart An end point of the second line
 * @param secondEnd An end point of the second line
 * @returns Whether the lines intersect
 */
declare function segmentsIntersect(
    firstStart: segmentsIntersect.Coord,
    firstEnd: segmentsIntersect.Coord,
    secondStart: segmentsIntersect.Coord,
    secondEnd: segmentsIntersect.Coord,
): boolean;

export = segmentsIntersect;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 15:11:36 GMT
 * Dependencies: none

# Credits
These definitions were written by [masx200](https://github.com/masx200).
